Subject: Re: What's cooking in git.git (Aug 2021, #06; Mon, 16)

From: Phillip Wood <[email-masked]>
Date: Thu, 19 Aug 2021 19:55:55 +0100

On 17/08/2021 00:06, Junio C Hamano wrote:
> Here are the topics that have been cooking in my tree.  Commits
> prefixed with '+' are in 'next' (being in 'next' is a sign that a
> topic is stable enough to be used and are candidate to be in a
> future release).  Commits prefixed with '-' are only in 'seen',
> which means nothing more than that I have found them of interest for
> some reason (like "it may have hard-to-resolve conflicts with
> another topic already in flight" or "this may turn out to be
> useful").  Do not read too much into a topic being in (or not in)
> 'seen'.  The ones marked with '.' do not appear in any of the
> integration branches, but I am still holding onto them.
> 
> * pw/diff-color-moved-fix (2021-08-05) 13 commits
>    (merged to 'next' on 2021-08-05 at 7b5e312aac)
>   + diff: drop unused options parameter from cmp_in_block_with_wsd()
>    (merged to 'next' on 2021-08-04 at 4de4a451e0)
>   + diff --color-moved: intern strings
>   + diff: use designated initializers for emitted_diff_symbol
>   + diff --color-moved-ws=allow-indentation-change: improve hash lookups
>   + diff --color-moved: stop clearing potential moved blocks
>   + diff --color-moved: shrink potential moved blocks as we go
>   + diff --color-moved: unify moved block growth functions
>   + diff --color-moved: call comparison function directly
>   + diff --color-moved-ws=allow-indentation-change: simplify and optimize
>   + diff: simplify allow-indentation-change delta calculation
>   + diff --color-moved: avoid false short line matches and bad zerba coloring
>   + diff --color-moved=zebra: fix alternate coloring
>   + diff --color-moved: add perf tests
> 
>   Long-overdue correctness and performance update to "diff
>   --color-moved" feature.
> 
>   Will cook in 'next'.

I found a couple of regressions in diff 
--color-moved=allow-indention-change with this series today. One of them 
is a simple fix, but I think I will need a bit of time to understand the 
other (there's a change to the way it handles lines consisting of 
'\f\n'). Would it be possible to kick this out of next when you rewind 
it please.

Thanks

Phillip